#ifndef _BUFFALO_GPIO_H_
#define _BUFFALO_GPIO_H_


#ifdef CONFIG_BUFFALO_LINKSTATION_LSGL
	#define BIT_MICON  2
	#define MICON_POL  0		/* high */
	#define BIT_RTC    3
#endif
#ifdef CONFIG_BUFFALO_TERASTATION_TSHTGL
	#define BIT_MICON  8
	#define MICON_POL  0		/* high */
	#define BIT_RTC    9
	#define BIT_UPS		13
	#define BIT_OMR_BL	14
#endif


void BuffaloGpio_MiconIntSetup(void);
void BuffaloGpio_ClearMiconInt(void);

void BuffaloGpio_RtcIntSetup(void);
void BuffaloGpio_ClearRtcInt(void);

void BuffaloPrintGpio(void);

#ifdef CONFIG_BUFFALO_USE_UPS
void BuffaloGpio_UPSPortEnable(void);
void BuffaloGpio_UPSPortDisable(void);
unsigned int BuffaloGpio_UPSPortScan(void); // for debug

void BuffaloGpio_UPSOmronBLEnable(void);
void BuffaloGpio_UPSOmronBLDisable(void);
unsigned int BuffaloGpio_UPSOmronBLGetStatus(void);
unsigned int BuffaloGpio_UPSOmronBLUseStatus(void);

void BuffaloRtc_UPSRecoverInit(void);
void BuffaloRtc_UPSRecoverEnable(int8_t);
void BuffaloRtc_UPSRecoverDisable(void);
int BuffaloRtc_UPSRecoverReadStatus(void);

#define RECOVER_TARGET_UPS_APC	1
#define RECOVER_TARGET_UPS_OMR	2
#define RECOVER_TARGET_UPS_USB	3
#endif

#endif

